#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int n, k, c;

    cin>>n>>k>>c;

    vector<long long int> a(n);

    for(long long int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    /*
    if(c==2)
    {
        for(long long int i=0; i<k; i++)
        {
            long long int t=1;
            long long int x=0;
            for(long long int l=i; l<=i+k-1; l++)
            {

                x+=a[l]*t;
                if(t!=c)
                    t++;
            }
            cout<<x<<" ";
        }
    }
*/

     for(long long int i=0; i<n-k+1; i++)
     {
            long long int t=1;
            long long int x=0;
            for(long long int l=i; l<=i+k-1; l++)
            {

                x+=a[l]*t;
                if(t!=c)
                    t++;
            }
            cout<<x<<" ";
    }

    return 0;
}